<?php
// Start the session at the beginning of your script
session_start();

// Ensure session variables are set before using them
if (isset($_SESSION['pro']) && isset($_SESSION['token'])) {
    $province = $_SESSION['pro'];
    $password = $_SESSION['token'];
} else {
    // Handle the case where session variables are not set
    // Redirect to an error page or show a message
    echo "<script type='text/javascript'>
            alert('Session has expired or is invalid. Please submit the RRR Code in again.');
            location.href='regstatus.php'; // Redirect to the login page
          </script>";
    exit(); // Stop further script execution
}

// Your existing code continues here
?>


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE | Approved Registration Slip</title>

    <!-- Dependencies -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="cookies/cookieconsent.css">
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="dist/css/custom.css">
    <link rel="stylesheet" href="dist/css/login_style.css">
    <link rel="stylesheet" href="assets/css/mystyle.css">
    <link rel="stylesheet" href="dist/css/animate.min.css">
    <link href="plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- AdminLTE -->
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>

    <style>
       /* Main theme Default light mode (bootstrap defaults) */
       body {
            background-color: #ffffff;
            color: #000000;
            transition: background-color 0.3s, color 0.3s;
        }

        
        a {
            color:rgb(12, 12, 12);
        }

        a:hover {
            color: #0056b3;
        }

        /* Dark Mode - Links */
.dark-mode .strip_2 a {
    color: rgb(241, 239, 239) !important; /* Light color for better contrast */
    text-decoration: none; /* Optional: Removes underline for a cleaner look */
}

/* Dark Mode - Links on Hover */
.dark-mode .strip_2 a:hover {
    color: #4a90e2 !important; /* A softer blue for better readability */
    text-decoration: underline; /* Optional: Adds underline on hover */
}


        .light-mode .province-initials {
            background-color: #007bff !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .light-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: white !important;
            color: black !important;
            border-color: #444 !important;
        }

        /* Dark Mode */
        .dark-mode {
            background-color: #121212 !important;
            color: #ffffff !important;
        }

        /* Dark mode for links */
        .dark-mode a {
            color: rgb(247, 249, 252) !important;
        }

        .dark-mode a:hover {
            color: rgb(243, 248, 253) !important;
        }

        /* Dark mode for navigation bar */
        .dark-mode .navbar {
            background-color: #1e1e1e !important;
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .navbar a {
            color: white !important;
        }

        .dark-mode .navbar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .btn:hover {
            background-color: white !important;
        }

        /* Specific button colors in dark mode */
        .dark-mode .btn-primary {
            background-color: rgb(0, 3, 7) !important;
            color: white !important;
        }

        .dark-mode .btn-success {
            background-color: rgb(1, 12, 3) !important;
            color: white !important;
        }

        .dark-mode .btn-danger {
            background-color: rgb(8, 0, 1) !important;
            color: white !important;
        }

        .dark-mode .btn-warning {
            background-color: rgb(2, 1, 0) !important;
            color: white !important;
        }

        .dark-mode .btn-info {
            background-color: rgb(0, 7, 8) !important;
            color: white !important;
        }

        /* Dark mode for tables */
        .dark-mode table {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode thead {
            background-color: #333 !important;
        }

        .dark-mode tbody tr {
            background-color: #2c2c2c !important;
        }

        .dark-mode tbody tr:hover {
            background-color: #3a3a3a !important;
        }

        /* Dark mode for form fields */
        .dark-mode input,
        .dark-mode select,
        .dark-mode textarea {
            background-color: #222 !important;
            color: white !important;
            border: 1px solid white !important;
        }

        .dark-mode input::placeholder,
        .dark-mode textarea::placeholder {
            color: #bbb !important;
        }

        /* Dark mode for modals */
        .dark-mode .modal-content {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode .modal-header {
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .modal-footer {
            border-top: 1px solid #333 !important;
        }

        /* Dark mode for sidebar (if applicable) */
        .dark-mode .sidebar {
            background-color: #1e1e1e !important;
        }

        .dark-mode .sidebar a {
            color: white !important;
        }

        .dark-mode .sidebar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for alerts */
        .dark-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #333 !important;
            color: white !important;
            border-color: #444 !important;
        }


        /* Default (Light Mode) */
        .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #ffffff !important;
            /* Light background */
            color: #000000 !important;
            /* Dark text */
            border-color: #ddd !important;
            /* Light border */
        }

        /* Hover effect in light mode */
        .dropdown-item:hover {
            background-color: #f8f9fa !important;
            color: #000000 !important;
        }

        /* Dark Mode */
        .dark-mode .alert,
        .dark-mode .dropdown-menu,
        .dark-mode .dropdown-menu-lg,
        .dark-mode .dropdown-menu-right,
        .dark-mode .dropdown-item {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
            border-color: #444 !important;
            /* Dark border */
        }

        /* Hover effect in dark mode */
        .dark-mode .dropdown-item:hover {
            background-color: #333 !important;
            color: #ffffff !important;
        }

        /* Light Mode */
        .toast-body,
        .toast-header {
            background-color: #ffffff !important;
            /* White background */
            color: #000000 !important;
            /* Black text */
            border-color: #ddd !important;
            /* Light grey border */
        }
/* Light Mode - Paragraph Specific */


/* Light Mode - Paragraph on Blue Background */
.sidebar-dark-primary p,
.main-sidebar p {
    color: white !important; /* White text on blue backgrounds */
} 

.sidebar-dark-primary .fa,
.main-sidebar .fa {
    color: white !important; /* White text on blue backgrounds */
} 
        /* Light Mode (Default) */
        
        p,
        h1,
        h2,
        h3,
        h4,
        h5,
        h6,
        .card-title,
        .text-dark,
        .text-secondary,
        .text-muted,
        .text-primary {
            color:rgb(12, 0, 0) !important;
            /* Default dark text */
        }


        .fa {
            color:white;
        }
        /* Dark Mode Styles */
        .dark-mode {
            background-color: #121212 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
        }

        /* Dark Mode Text Colors */
        .dark-mode .fa,
        .dark-mode p,
        .dark-mode h1,
        .dark-mode h2,
        .dark-mode h3,
        .dark-mode h4,
        .dark-mode h5,
        .dark-mode h6,
        .dark-mode .card-title,
        .dark-mode .text-dark,
        .dark-mode .text-secondary,
        .dark-mode .text-muted,
        .dark-mode .text-primary {
            color: #ffffff !important;
            /* White text in dark mode */
        }
        
        .dark-mode .strip-wrapper{
            background-color:none;
            color:black;
        }
        
    
      .strip_2,.strip-wrapper{
            background-color:none;
            color: black;
        }
        

        .card-title,
         .text-dark,
         .text-secondary,
         .text-muted,
         .text-primary {
            color:rgb(7, 6, 6) !important;
            /* White text in dark mode */
        }


        /* Adjust Specific Text Colors in Dark Mode */
        .dark-mode .text-muted {
            color: #b0b0b0 !important;
            /* Slightly gray for muted text */
        }

        .dark-mode .text-primary {
            color:rgb(237, 241, 245) !important;
            /* Lighter blue for better contrast */
        }

        .dark-mode .text-secondary {
            color: #adb5bd !important;
            /* Light grayish text */
        }

        /* Dark Mode Background for Cards & Containers */
        .dark-mode .card,
        .dark-mode .modal-content,
        .dark-mode .dropdown-menu,
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            color: white !important;
            border-color: #444 !important;
        }

        /* Dark Mode FA Icons */
        .dark-mode .fa {
            color: #ffffff !important;
            /* White icons in dark mode */
        }

        /* Dark Mode Specific Icons */
        .dark-mode .fa-calendar {
            color:rgb(236, 235, 229) !important;
            /* Yellow */
        }
        .fa-calendar {
            color:#007bff !important;
            /* Yellow */
        }

        .dark-mode .fa-user {
            color:rgb(242, 247, 248) !important;
            /* Bootstrap info blue */
        }

        .dark-mode .fa-cog, .fa-clock  {
            color: #f8f9fa !important;
            /* Light gray */
        }
         .fa-cog, .fa-clock, .fa-user  {
            color:rgb(1, 5, 10) !important;
            /* Light gray */
        }

        /* Dark Mode Buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: #ffffff !important;
            border: 1px solid #555 !important;
        }

        .dark-mode .btn-primary {
            background-color:rgb(11, 12, 12) !important;
            border-color:rgb(8, 8, 8) !important;
        }

        .dark-mode .btn-secondary {
            background-color: #6c757d !important;
            border-color: #6c757d !important;
        }

        /* Hover Effects */
        .dark-mode .btn:hover {
            background-color: #444 !important;
        }

        .dark-mode .btn-primary:hover {
            background-color:rgb(17, 17, 19) !important;
        }

        .dark-mode .btn-secondary:hover {
            background-color: #5a6268 !important;
        }



        /* Toast header specific styling */
        .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #ddd !important;
        }

        /* Dark Mode */
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* White text */
            border-color: #444 !important;
            /* Dark grey border */
        }
        
         /* Light Mode - Toast Styling */
.toast-body,
.toast-header {
    background-color: white !important; /* White background */
    color: rgb(15, 15, 15) !important; /* Dark text */
    border-color: #ddd !important; /* Light grey border */
}

/* Light Mode - Toast Header */
.toast-header {
    font-weight: bold;
    border-bottom: 1px solid #ccc !important; /* Light grey separator */
}

        /* Toast header specific styling */
        .dark-mode .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #444 !important;
        }
        


        /* Dark mode for card components */
        .dark-mode .card {
            background-color: #222 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .card-header {
            background-color: #1e1e1e !important;
        }

        /* Toggle Button Fix */
        .dark-mode #theme-toggle {
            /* background-color: #222 !important; */
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .badge-danger,
        .province-initials {
            background-color: white !important;
            color: black !important;
            /* border: 1px solid white !important; */
        }        body {
            background-color: #f8f9fa;
        }

        .card {
            max-width: 800px;
            margin: 20px auto;
            padding: 20px;
            border-radius: 10px;
        }

        .header-image {
            width: 100%;
            height: auto;
            margin-bottom: 20px;
        }

        .custom-btn {
            background-color: #007cc0;
            color: white;
            padding: 10px 20px;
            font-size: 16px;
        }

        .form-title {
            color: red;
            font-size: 1.5rem;
            margin-top: 10px;
        }

        .content p {
            color: black;
            font-size: 1rem;
        }

        .header-image {
            max-width: 100%;
            height: auto;
        }

        .form-title {
            font-size: 24px;
            margin: 10px 0;
        }

        .form-group {
            margin: 10px 0;
        }

        .watermark {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            opacity: 0.2;
            font-size: 80px;
            color: red;
            z-index: -1;
            white-space: nowrap;
            transform: rotate(-45deg) translate(-50%, -50%);
        }

        @media print {
            .no-print {
                display: none;
            }
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand-lg navbar-light">
        <div class="container-fluid">
            <!-- Navbar Toggler for Mobile -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Left Navbar Links -->
            <a href="#" class="navbar-brand">
                <img src="./dist/img/dtce.png" alt="Logo" style="height: 40px;">
            </a>

            <?php
            include 'conn.php';
            $province_name = $_SESSION['pro']; // Get the province name from the session

            // Fetch the count of unread notifications for this province
            $stmt = $conn->prepare("SELECT COUNT(*) as count FROM notifications WHERE province = :province AND is_read = 0");
            $stmt->bindValue(':province', $province_name);
            $stmt->execute();
            $count = $stmt->fetch(PDO::FETCH_ASSOC)['count'];
            ?>

            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                            <i class="fas fa-bars"></i>
                        </a>
                    </li>
                </ul>

                <!-- Centered Search Form -->
                <form class="form-inline mx-auto">
                    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                        <i class="fas fa-search"></i>
                    </button>
                </form>

                <!-- Right Navbar Links -->
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            <img src="./dist/img/ng3.webp" alt="Flag" style="width: 35px;">
                        </a>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="notificationDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fas fa-bell">
                                <span class="badge badge-danger"><?php echo $count; ?></span>
                            </i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="notificationDropdown"
                            id="notificationList">
                            <!-- Notifications will be loaded here -->
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="#" id="theme-toggle">
                            <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
                        </a>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown" href="#">
                            <?php
                            // Extract initials from the province name
                            $province = $_SESSION["pro"];
                            $province_parts = explode(" ", $province);
                            $initials = strtoupper(substr($province_parts[0], 0, 1)) . strtoupper(substr($province_parts[1], 0, 1));
                            $number = isset($province_parts[2]) ? $province_parts[2] : '';

                            // Display the initials and the number
                            echo '<div class="province-initials"
                                style="background-color: #007bff; color: white; width: 45px; height: 45px; border-radius: 50%; display: flex; justify-content: center; align-items: center; margin-right: 10px; font-weight: bold; font-size: 16px;">';
                            echo $initials . ' ' . $number;
                            echo '</div>';
                            ?>

                            <div style="display: flex; flex-direction: column;">
                                <span class="d-none d-md-inline"><?php echo $_SESSION["pro"] ?></span>
                                <small><?php echo $_SESSION["zone"] ?></small>
                            </div>
                        </a>
                        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                            <a href="#" class="dropdown-item"><i class="fas fa-user"></i> My Profile</a>
                            <a href="#" class="dropdown-item"><i class="fas fa-cog"></i> Settings</a>
                            <div class="dropdown-divider"></div>
                            <a href="logout.php" class="dropdown-item"><i class="fas fa-sign-out-alt"></i> Logout</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</div>

        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="./dist/img/icon.png" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">RCCG DTCE</a>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <!-- Sidebar Menu -->
                <?php
                // Include your database connection file
                include 'conn.php';

                // Fetch menu items, ordered by the 'order' field
                $stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC");
                $menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
                ?>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                        <?php foreach ($menuItems as $item): ?>
                            <li class="nav-item">
                                <a href="<?php echo htmlspecialchars($item['link']); ?>" class="nav-link">
                                    <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>"></i>
                                    <p style="color: white;"><?php echo htmlspecialchars($item['name']); ?></p>
                                </a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </nav>


                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper -->
        <div class="content-wrapper">
            <!-- Breadcrumb -->
            <div class="breadcrumb-wrapper">
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="../../index.php">HOME</a></li>
                    <li class="breadcrumb-item active">Approved Registration Slip</li>
                </ul>
            </div>

            <?php include("news.php"); ?>
            <!-- Main content -->

            <section class="content">

                <!-- <?php
                        include 'conn.php';

                        // Fetch the cover picture
                        $stmt = $conn->query("SELECT * FROM cover_pic ORDER BY id DESC LIMIT 1");
                        $coverPic = $stmt->fetch(PDO::FETCH_ASSOC);

                        $imagePath = $coverPic ? $coverPic['image_path'] : './dist/img/bg-login.jpg'; // Default image if none found
                        ?>

<div class="row">
    <div class="col-sm-12">
        <div class="profile-bg-picture" style="background-image: url('<?php echo htmlspecialchars($imagePath); ?>');">
            <div class="picture-bg-overlay"></div>
        </div>
    </div>
</div> -->

                <!-- Place all content here -->

                <?php

include 'conn.php'; // Database connection file

$error_message = ""; // Initialize error message variable

if (isset($_SESSION['pro']) && isset($_SESSION['token'])) {
    $province = $_SESSION['pro'];
    $teller_number = $_SESSION['token'];

    try {
        // Fetch slip details
        $sql = "SELECT * FROM slip WHERE province = :province AND teller_number = :teller_number";
        $stmt = $conn->prepare($sql);
        $stmt->execute([':province' => $province, ':teller_number' => $teller_number]);
        $slips = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if (!$slips) {
            // Set the error message instead of redirecting
            $error_message = "No record found for this registration. Make sure you generate the Pending Slip for this registration.";
        } else {
            // Extract slip data
            foreach ($slips as $slip) {
                $dbdepositor = $slip['depositor'];
                $dbzone = $slip['zone'];
                $dbregion = $slip['region'];
                $dbteller_number = $slip['teller_number'];
                $dbcash = $slip['cash'];
                $dbchildren = $slip['children'];
                $dbteens = $slip['teens'];
                $dbteachers = $slip['teachers'];
                $dbslip_id = $slip['slip_id'];
                $dbdate = $slip['date'];
                $dbyear = $slip['year'];
            }

            // Fetch data from children table
            $sqlChildren = "SELECT children1, children2, children3, region, province 
                            FROM children WHERE province = :province AND password = :teller_number";
            $stmtChildren = $conn->prepare($sqlChildren);
            $stmtChildren->execute([':province' => $province, ':teller_number' => $teller_number]);
            $childrenData = $stmtChildren->fetch(PDO::FETCH_ASSOC);

            // Assign default values if children data is missing
            $dbchildren1 = $childrenData['children1'] ?? 'N/A';
            $dbchildren2 = $childrenData['children2'] ?? 'N/A';
            $dbchildren3 = $childrenData['children3'] ?? 'N/A';

            // Fetch data from teens table
            $sqlTeens = "SELECT teens1, teens2, region, province 
                         FROM teens WHERE province = :province AND password = :teller_number";
            $stmtTeens = $conn->prepare($sqlTeens);
            $stmtTeens->execute([':province' => $province, ':teller_number' => $teller_number]);
            $teensData = $stmtTeens->fetch(PDO::FETCH_ASSOC);

            // Assign default values if teens data is missing
            $dbteens1 = $teensData['teens1'] ?? 'N/A';
            $dbteens2 = $teensData['teens2'] ?? 'N/A';

            // Debugging (optional: logs session variables and fetched data)
            file_put_contents('debug.log', "Session Province: $province\nSession Token: $teller_number\n", FILE_APPEND);
            file_put_contents('debug.log', "Children Data: " . print_r($childrenData, true) . "\n", FILE_APPEND);
            file_put_contents('debug.log', "Teens Data: " . print_r($teensData, true) . "\n", FILE_APPEND);
        }
    } catch (PDOException $e) {
        $error_message = "Database error: " . $e->getMessage();
    }
} else {
    $error_message = "Session variables not set.";
}
?>



<div class="container mt-4">
    <?php if (!empty($error_message)): ?>
        <div class="alert alert-warning alert-dismissible fade show" role="alert">
            <strong>Notice:</strong> <?php echo $error_message; ?>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    <?php else: ?>


                <div class="card shadow">
                    <!-- Slip Section -->
                    <div id="slip-section" class="container" style="font-size: 20px; position: relative; padding: 20px;">
                        <!-- Watermark -->
                        <div style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%) rotate(-30deg); opacity: 0.3; font-size: 150px; color: green; z-index: -1; white-space: nowrap;">
                            APPROVED
                        </div>

                        <!-- Header Image -->
                        <div class="text-center" style="margin-bottom: 20px;">
                            <img src="dist/img/slipreg.jpeg" alt="Logo" class="header-image" style="max-width: 100%; height: auto;">
                        </div>

                        <!-- Registration Details -->
                        <div class="text-center" style="margin-bottom: 20px;">
                            <b style="font-size: 30px;"><?php echo isset($dbslip_id) ? $dbslip_id : ''; ?></b>
                            <h1 class="form-title" style="text-align: center; color: green;">
                                <b style="color: green; text-transform: uppercase;"><?php echo date('Y'); ?></b> Annual Convention Approved Registration Slip
                            </h1>
                            <?php
                            function addOrdinalSuffix($num)
                            {
                                if (!in_array(($num % 100), [11, 12, 13])) {
                                    switch ($num % 10) {
                                        case 1:
                                            return $num . 'st';
                                        case 2:
                                            return $num . 'nd';
                                        case 3:
                                            return $num . 'rd';
                                    }
                                }
                                return $num . 'th';
                            }
                            ?>

                            Generated on: <b> <?php echo date('l ') . addOrdinalSuffix(date('j')) . date(' F - h:i:s a'); ?></b>



                        </div>

                        <!-- Slip Content -->
                        <div class="row" style="margin-bottom: 20px;">
                            <div class="col-md-12" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-user"></i> Name of Depositor:</strong> <?php echo isset($dbdepositor) ? strtoupper($dbdepositor) : ''; ?>
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 20px;">
                            <div class="col-md-12" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-shield-alt"></i> Zone:</strong>
                                <?php echo isset($dbzone) ? htmlspecialchars($dbzone) : ''; ?>
                            </div>
                        </div>

                        <div class="row" style="margin-bottom: 20px;">
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-map-marker-alt"></i> Region:</strong> <?php echo isset($dbregion) ? $dbregion : ''; ?>
                            </div>
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-globe"></i> Province:</strong> <?php echo isset($_SESSION['pro']) ? $_SESSION['pro'] : ''; ?>
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 20px;">
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-receipt"></i> RRR Code:</strong><span style="color: red; font-weight: bold; font-size: 24px;">
                                    <?php echo isset($dbteller_number) ? $dbteller_number : ''; ?>
                                </span>
                            </div>
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-money-bill-wave"></i> Amount:</strong><span style="color: red; font-weight: bold; font-size: 24px;">
                                    &#8358; <?php echo isset($dbcash) ? $dbcash : ''; ?>
                                </span>
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 20px;">
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-user-graduate"></i> Number of Teens:</strong> <?php echo isset($dbteens) ? $dbteens : ''; ?> <br>
                                <span style="color: red; font-weight: bold; font-size: 18px;">
                                    <i class="fas fa-child"></i> Ages (13-15): <?php echo isset($dbteens1) ? $dbteens1 : ''; ?> |
                                    <i class="fas fa-user"></i> Ages (16-above): <?php echo isset($dbteens2) ? $dbteens2 : ''; ?>
                                </span>
                            </div>
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-child"></i> Number of Children:</strong> <?php echo isset($dbchildren) ? $dbchildren : ''; ?> <br>
                                <span style="color: red; font-weight: bold; font-size: 18px;">
                                    <i class="fas fa-baby"></i> Ages (1-5): <?php echo isset($dbchildren1) ? $dbchildren1 : ''; ?> |
                                    <i class="fas fa-child"></i> Ages (6-8): <?php echo isset($dbchildren2) ? $dbchildren2 : ''; ?> |
                                    <i class="fas fa-user"></i> Ages (9-12): <?php echo isset($dbchildren3) ? $dbchildren3 : ''; ?>
                                </span>
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 20px;">
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-id-badge"></i> Slip ID:</strong> <?php echo isset($dbslip_id) ? $dbslip_id : ''; ?>
                            </div>
                            <div class="col-md-6" style="border-bottom: 1px solid #000; padding: 10px 0;">
                                <strong><i class="fas fa-chalkboard-teacher"></i> Number of Teachers:</strong> <?php echo isset($dbteachers) ? $dbteachers : ''; ?>
                            </div>
                            <div class="col-md-12" style="border-bottom: 1px solid #000; padding: 10px 0; text-align: center;">
                                <strong style="color: green; font-weight: 900; font-size: 45px">
                                    <i class="fas fa-check-circle"></i> REGISTRATION APPROVED
                                </strong>
                            </div>
                        </div>

                        <!-- Download Button -->
                        <div class="text-center" style="margin-top: 20px;">
                            <button id="downloadButton" class="btn btn-primary">
                                <i class="fas fa-download"></i> Download Slip
                            </button>

                            <button id="shareWhatsApp" class="btn btn-success" onclick="shareOnWhatsApp()">
                                <i class="fab fa-whatsapp"></i> Share on WhatsApp
                            </button>

                            <button id="shareEmail" class="btn btn-info" onclick="shareByEmail()">
                                <i class="fas fa-envelope"></i> Share via Email
                            </button>
                        </div>
                    </div>
                    <?php endif; ?>
                    </div>

                    <script>
    function shareOnWhatsApp() {
        const slipDetails = `
RRR Code: <?php echo json_encode($dbteller_number ?? ''); ?>   
Name of Depositor: <?php echo json_encode(strtoupper($dbdepositor ?? '')); ?>
Zone: <?php echo json_encode($dbzone ?? ''); ?>
Amount: <?php echo json_encode($dbcash ?? ''); ?>
Slip ID: <?php echo json_encode($dbslip_id ?? ''); ?>
Number of Children: <?php echo json_encode($dbchildren ?? ''); ?> | Ages (1-5): <?php echo json_encode($dbchildren1 ?? ''); ?> | Ages (6-8): <?php echo json_encode($dbchildren2 ?? ''); ?> | Ages (9-12): <?php echo json_encode($dbchildren3 ?? ''); ?> 
Number of Teens: <?php echo json_encode($dbteens ?? ''); ?> Ages (13-15): <?php echo json_encode($dbteens1 ?? ''); ?> | Ages (16-above): <?php echo json_encode($dbteens2 ?? ''); ?> 
Number of Teachers: <?php echo json_encode($dbteachers ?? ''); ?>
Registration Year: <?php echo json_encode(date('Y')); ?>
Visit the link for more details: https://convention.rccgjuniorchurch.org
        `;
        const message = encodeURIComponent(slipDetails);
        const url = `https://wa.me/?text=${message}`;
        window.open(url, '_blank');
    }

    function shareByEmail() {
        const slipDetails = `
RRR Code: <?php echo json_encode($dbteller_number ?? ''); ?>   
Name of Depositor: <?php echo json_encode(strtoupper($dbdepositor ?? '')); ?>
Zone: <?php echo json_encode($dbzone ?? ''); ?>
Amount: <?php echo json_encode($dbcash ?? ''); ?>
Slip ID: <?php echo json_encode($dbslip_id ?? ''); ?>
Number of Children: <?php echo json_encode($dbchildren ?? ''); ?> | Ages (1-5): <?php echo json_encode($dbchildren1 ?? ''); ?> | Ages (6-8): <?php echo json_encode($dbchildren2 ?? ''); ?> | Ages (9-12): <?php echo json_encode($dbchildren3 ?? ''); ?> 
Number of Teens: <?php echo json_encode($dbteens ?? ''); ?> Ages (13-15): <?php echo json_encode($dbteens1 ?? ''); ?> | Ages (16-above): <?php echo json_encode($dbteens2 ?? ''); ?> 
Number of Teachers: <?php echo json_encode($dbteachers ?? ''); ?>
Registration Year: <?php echo json_encode(date('Y')); ?>
Visit the link for more details: https://convention.rccgjuniorchurch.org
        `;
        const subject = encodeURIComponent("Check out this slip!");
        const body = encodeURIComponent(slipDetails);
        const mailtoLink = `mailto:?subject=${subject}&body=${body}`;
        window.location.href = mailtoLink;
    }
</script>

<script>
    document.getElementById("downloadButton").onclick = function() {
        // Hide the buttons before generating the PDF
        document.querySelector('.text-center').style.display = 'none';

        html2canvas(document.getElementById("slip-section"), {
            scale: 2,
            useCORS: true,
            scrollX: 0,
            scrollY: -window.scrollY // Prevent any scroll offset
        }).then(function(canvas) {
            var imgData = canvas.toDataURL('image/png');
            var pdf = new jsPDF('p', 'mm', 'a4');
            var imgWidth = 210; // A4 width in mm
            var pageHeight = 295; // A4 height in mm
            var imgHeight = (canvas.height * imgWidth) / canvas.width;
            var heightLeft = imgHeight;

            // Add image to the first page
            pdf.addImage(imgData, 'PNG', 0, 0, imgWidth, imgHeight);

            // Handle pagination if the content height exceeds one page
            while (heightLeft > pageHeight) {
                pdf.addPage();
                pdf.addImage(imgData, 'PNG', 0, 0, imgWidth, imgHeight);
                heightLeft -= pageHeight;
            }

            // Save the PDF with a dynamic file name
            var fileName = <?php echo json_encode(strtoupper($dbdepositor) . '_' . $dbteller_number . '.pdf'); ?>;
            pdf.save(fileName);

            // Show the buttons again after generating the PDF
            document.querySelector('.text-center').style.display = 'block';
        });
    };
</script>



                    <script>
                        document.getElementById('printButton').onclick = function() {
                            // Get the current date and time
                            var now = new Date();

                            // Format the date and time
                            var optionsDate = {
                                weekday: 'long',
                                day: 'numeric',
                                month: 'long'
                            };
                            var formattedDate = now.toLocaleDateString('en-GB', optionsDate);
                            var formattedTime = now.toLocaleTimeString('en-GB', {
                                hour: '2-digit',
                                minute: '2-digit',
                                second: '2-digit',
                                hour12: true
                            });

                            // Format the full date string
                            var fullDateString = formattedDate + ' - ' + formattedTime;

                            // Prepare data to send to server
                            var data = {
                                depositor: "<?php echo strtoupper($dbname); ?>",
                                zone: "<?php echo $dbzone; ?>",
                                region: "REGION <?php echo $dbregion; ?>",
                                province: "<?php echo $_SESSION['pro']; ?>",
                                teller_number: "<?php echo $_SESSION['token']; ?>",
                                cash: "<?php echo $dbamount; ?>",
                                children: "<?php echo $dbp1; ?> CHILDREN",
                                teens: "<?php echo $dbp2; ?> TEENS",
                                teachers: "<?php echo $dbp3; ?> TEACHERS",
                                slip_id: "<?php echo $_SESSION['serialcode']; ?>",
                                status: "Pending",
                                cleared_by: "<?php echo strtoupper($dbname); ?>",
                                date: fullDateString,
                                year: "<?php echo date('Y'); ?>"
                            };

                            // Send data to server-side script to save in database
                            $.ajax({
                                url: 'save_slip.php',
                                type: 'POST',
                                data: data,
                                success: function(response) {
                                    console.log("Slip data saved successfully.");
                                    document.getElementById('printButton').style.display = 'none'; // Hide button
                                    window.print(); // Print the document
                                    document.getElementById('printButton').style.display = 'inline-block'; // Show button again
                                    alert("Slip generated successfully. You will be redirected now.");
                                    window.location.href = 'pendingslip_generator.php'; // Redirect
                                },
                                error: function(xhr, status, error) {
                                    console.error("Error generating slip data: " + error);
                                }
                            });
                        };
                    </script>

                    <!-- Print Style -->
                    <style>
                        @media print {
                            body * {
                                visibility: hidden;
                            }

                            #slip-section,
                            #slip-section * {
                                visibility: visible;
                            }

                            #slip-section {
                                position: absolute;
                                left: 0;
                                top: 0;
                                right: 0;
                                margin: auto;
                                width: 100%;
                                height: auto;
                            }
                        }
                    </style>


                </div>
                <?php

                ?>
        </div>

        <!-- /.content-wrapper -->

        <!-- Footer -->
        <?php
        include 'conn.php'; // Ensure this file contains your database connection

        // Fetch footer content from the footer table
        $stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
        $footer = $stmt->fetch(PDO::FETCH_ASSOC);
        $copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
        $eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
        ?>
        <footer class="main-footer text-sm">
            <div class="text-xs" id="copyright">
                <?php echo $copyrightMessage; ?>
                <div class="float-right d-none d-sm-inline-block">
                    <b><?php echo $eventInfo; ?></b>
                </div>
            </div>
        </footer>

        <!-- ./wrapper -->

        <script>
    // Function to show the toast
    function showToast() {
        const toast = document.getElementById('myToast');
        $(toast).toast('show'); // Manually trigger the toast
    }

    // Function to hide the toast and store it in localStorage
    function hideToast() {
        localStorage.setItem('toastShown', 'true'); // Store in localStorage
    }

    // Auto-trigger the toast on page load if it has not been shown before
    window.onload = function() {
        if (!localStorage.getItem('toastShown')) {
            showToast();
        }
    };

    // Event listener to detect when toast is closed
    document.addEventListener('DOMContentLoaded', function () {
        const toast = document.getElementById('myToast');
        $(toast).on('hidden.bs.toast', function () {
            hideToast();
        });
    });
</script>


        <script>
            document.addEventListener("DOMContentLoaded", function() {
                // Check if the modal has been closed previously
                if (!localStorage.getItem("modalClosed")) {
                    // Show the modal if not closed
                    document.getElementById("announcementModal").style.display = "block";
                }
            });

            function closeModal() {
                // Hide the modal
                document.getElementById("announcementModal").style.display = "none";
                // Set a flag in localStorage to indicate that the modal has been closed
                localStorage.setItem("modalClosed", "true");
            }
        </script>
        <script>
           document.addEventListener('DOMContentLoaded', function() {
    const toggle = document.getElementById('theme-toggle');
    const icon = document.getElementById('theme-icon');

    function applyDarkMode() {
        document.body.classList.add('dark-mode');
        document.body.classList.remove('light-mode');
        if (icon) {
            icon.classList.remove('fa-sun');
            icon.classList.add('fa-moon');
        }
        localStorage.setItem('theme', 'dark');
    }

    function applyLightMode() {
        document.body.classList.add('light-mode');
        document.body.classList.remove('dark-mode');
        if (icon) {
            icon.classList.remove('fa-moon');
            icon.classList.add('fa-sun');
        }
        localStorage.setItem('theme', 'light');
    }

    // Check and apply the saved theme
    if (localStorage.getItem('theme') === 'dark') {
        applyDarkMode();
    } else {
        applyLightMode();
    }

    // Toggle event listener
    if (toggle) {
        toggle.addEventListener('click', function() {
            if (document.body.classList.contains('dark-mode')) {
                applyLightMode();
            } else {
                applyDarkMode();
            }
        });
    }
});

        </script>
        <!-- Scripts -->
        <script>
            $(document).ready(function() {
                $('#notificationDropdown').on('click', function() {
                    $.ajax({
                        url: 'fetch_notifications.php',
                        type: 'GET',
                        data: {
                            province: '<?php echo $_SESSION['pro']; ?>'
                        },
                        dataType: 'json',
                        success: function(data) {
                            console.log('Fetched notifications:', data);
                            let notificationList = $('#notificationList');
                            notificationList.empty();

                            if (data.length === 0) {
                                notificationList.append(
                                    '<div class="dropdown-item">No Notifications</div>');
                            } else {
                                data.forEach(notification => {
                                    let createdDate = new Date(notification.created_at);
                                    let formattedDate = formatDate(createdDate);
                                    let timeAgo = timeSince(createdDate);
                                    let unreadBadge = notification.is_read === 0 ?
                                        '<span class="badge badge-danger">Unread</span>' :
                                        '';

                                    notificationList.append(`
                            <a class="dropdown-item" href="read_notification.php?id=${notification.id}">
                                ${unreadBadge} ${notification.message}
                                <small class="text-muted">${formattedDate} (${timeAgo})</small>
                            </a>
                        `);
                                });
                            }

                            $('.badge-danger').text(data.length);
                        },
                        error: function(xhr, status, error) {
                            console.error('Error loading notifications:', error);
                        }
                    });
                });
            });

            function formatDate(date) {
                const options = {
                    day: 'numeric',
                    month: 'short',
                    year: 'numeric'
                };
                let day = date.getDate();
                let month = date.toLocaleString('default', {
                    month: 'short'
                });
                let suffix = day % 10 === 1 && day !== 11 ? 'st' :
                    day % 10 === 2 && day !== 12 ? 'nd' :
                    day % 10 === 3 && day !== 13 ? 'rd' : 'th';
                return `${day}${suffix} ${month}, ${date.getFullYear()}`;
            }

            function timeSince(date) {
                const seconds = Math.floor((new Date() - date) / 1000);
                let interval = Math.floor(seconds / 31536000);
                if (interval > 1) return interval + " years ago";
                interval = Math.floor(seconds / 2592000);
                if (interval > 1) return interval + " months ago";
                interval = Math.floor(seconds / 86400);
                if (interval > 1) return interval + " days ago";
                interval = Math.floor(seconds / 3600);
                if (interval > 1) return interval + " hours ago";
                interval = Math.floor(seconds / 60);
                if (interval > 1) return interval + " minutes ago";
                return seconds + " seconds ago";
            }
        </script>
        <!-- Scripts -->
        <script src="plugins/jquery/jquery.min.js"></script>
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
        <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
        <script src="plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
        <script src="dist/js/adminlte.min.js"></script>
        <script defer src="scripts/cookies/cookieconsent.js"></script>
        <script defer src="scripts/cookies/cookieconsent-init.js"></script>
        <script src="plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="plugins/jquery-validation/additional-methods.min.js"></script>
        <!-- Include jQuery and Bootstrap JS -->

        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

        <script src="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.4.1/html2canvas.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.5/jspdf.min.js"></script>
        <!-- jQuery from Google CDN -->




</body>

</html>