<?php
// check_balance.php

require 'conn.php'; // Include your database connection script

function checkAccountBalance($accountNumber) {
    $apiKey = 'FLWSECK-b9a481e9b6a9e2b80ebb251b57534414-191baae22e3vt-X'; // Replace with your actual API key
    $balanceUrl = 'https://api.flutterwave.com/v3/virtual-accounts/'.$accountNumber; // Example: Fetch account details


    $headers = [
        "Authorization: Bearer $apiKey",
        "Content-Type: application/json"
    ];

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $balanceUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    $balanceResponse = curl_exec($ch);

    if ($balanceResponse === false) {
        throw new Exception('cURL Error: ' . curl_error($ch));
    }

    // Debug: Print the raw response to understand what is being returned
    echo '<pre>';
    print_r($balanceResponse);
    echo '</pre>';

    $balanceResult = json_decode($balanceResponse, true);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($httpCode === 200 && isset($balanceResult['status']) && $balanceResult['status'] === 'success') {
        return $balanceResult['data']['balance'];
    } elseif (isset($balanceResult['message'])) {
        throw new Exception('Error checking balance: ' . $balanceResult['message']);
    } else {
        throw new Exception('Unexpected API response: ' . print_r($balanceResult, true));
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $accountNumber = $_POST['account_number'];

    try {
        $balance = checkAccountBalance($accountNumber);

        // Update balance in the database
        $stmt = $conn->prepare("UPDATE virtual_accounts SET balance = ? WHERE account_number = ?");
        $stmt->execute([$balance, $accountNumber]);

        echo '<div class="alert alert-success">The balance for account ' . htmlspecialchars($accountNumber) . ' is: ' . htmlspecialchars($balance) . '</div>';
    } catch (Exception $e) {
        echo '<div class="alert alert-danger">Error: ' . htmlspecialchars($e->getMessage()) . '</div>';
    }
}
?>
