<?php
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);
date_default_timezone_set("Africa/Lagos");

include "./conn.php"; // Ensure your connection script is included correctly

$alert = $_SESSION['token'];

// Fetch user information from the registration table
$stmt = $conn->prepare("SELECT p3c, zone, region, province FROM registration WHERE password = :alert");
$stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$row) {
    die("No user found.");
}

$p3c = $row['p3c'];
$region = $row['region'];
$province = $row['province'];
$zone = $row['zone'];
// Retrieve and sanitize POST data
$firstname = filter_input(INPUT_POST, 'firstname', FILTER_SANITIZE_SPECIAL_CHARS);
$lastname = filter_input(INPUT_POST, 'lastname', FILTER_SANITIZE_SPECIAL_CHARS);
$phone = filter_input(INPUT_POST, 'phone', FILTER_SANITIZE_SPECIAL_CHARS);
$department = filter_input(INPUT_POST, 'department', FILTER_SANITIZE_SPECIAL_CHARS);
$gender = filter_input(INPUT_POST, 'gender', FILTER_SANITIZE_SPECIAL_CHARS);
$date = date('h:i:s - d/m/Y');
$year = date('Y');
$p3c_new = $p3c + 1;

// ✅ Ensure phone number is saved in "234XXXXXXXXX" format
if (substr($phone, 0, 1) === "0") {
    $phone = "234" . substr($phone, 1); // Remove leading "0" and add "234"
} elseif (!str_starts_with($phone, "234")) {
    $phone = "234" . $phone; // Add "234" if it's not already there
}

// ✅ Check if the selected department is "Teaching (Toddlers Age 1-3)"
if ($department == "Teaching (Toddlers Age 1-3)") {
    // Count teachers in the department
    $count_stmt = $conn->prepare("SELECT COUNT(*) AS department_count FROM teachers WHERE department = :department");
    $count_stmt->bindParam(':department', $department, PDO::PARAM_STR);
    $count_stmt->execute();
    $count_data = $count_stmt->fetch(PDO::FETCH_ASSOC);
    $department_count = $count_data['department_count'];

    // Debugging: Log department count
    error_log("Department Count: $department_count");

    // Alert current count
    echo "<script>alert('Number of Registered Teachers for Teaching (Toddlers Age 1-3) is: $department_count teachers');</script>";

    // ✅ Check if the count is less than 300
    if ($department_count < 300) {
        // Update p3c count
        $update_stmt = $conn->prepare("UPDATE registration SET p3c = :p3c WHERE password = :alert");
        $update_stmt->bindParam(':p3c', $p3c_new, PDO::PARAM_INT);
        $update_stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
        $update_stmt->execute();

        // Insert into teachers table
        $insert_stmt = $conn->prepare("INSERT INTO teachers (firstname, lastname, phone, department, gender, zone, region, province, password, date, year) 
                                        VALUES (:firstname, :lastname, :phone, :department, :gender, :zone, :region, :province, :alert, :date, :year)");
        $insert_stmt->bindParam(':firstname', $firstname, PDO::PARAM_STR);
        $insert_stmt->bindParam(':lastname', $lastname, PDO::PARAM_STR);
        $insert_stmt->bindParam(':phone', $phone, PDO::PARAM_STR);
        $insert_stmt->bindParam(':department', $department, PDO::PARAM_STR);
        $insert_stmt->bindParam(':gender', $gender, PDO::PARAM_STR);
        $insert_stmt->bindParam(':zone', $zone, PDO::PARAM_STR);
        $insert_stmt->bindParam(':region', $region, PDO::PARAM_STR);
        $insert_stmt->bindParam(':province', $province, PDO::PARAM_STR);
        $insert_stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
        $insert_stmt->bindParam(':date', $date, PDO::PARAM_STR);
        $insert_stmt->bindParam(':year', $year, PDO::PARAM_INT);
        $insert_stmt->execute();

        // Redirect after success
        header("Location: teachers.php");
        exit();
    } else {
        // Maximum limit reached
        echo "<script>alert('The maximum limit for teachers in this department has been reached. Kindly register into another department');</script>";
        header("Location: teachers.php");
        exit();
    }
} else {
    // ✅ Insert for other departments
    $update_stmt = $conn->prepare("UPDATE registration SET p3c = :p3c WHERE password = :alert");
    $update_stmt->bindParam(':p3c', $p3c_new, PDO::PARAM_INT);
    $update_stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
    $update_stmt->execute();

    $insert_stmt = $conn->prepare("INSERT INTO teachers (firstname, lastname, phone, department, gender, zone, region, province, password, date, year) 
                                    VALUES (:firstname, :lastname, :phone, :department, :gender, :zone, :region, :province, :alert, :date, :year)");
    $insert_stmt->bindParam(':firstname', $firstname, PDO::PARAM_STR);
    $insert_stmt->bindParam(':lastname', $lastname, PDO::PARAM_STR);
    $insert_stmt->bindParam(':phone', $phone, PDO::PARAM_STR);
    $insert_stmt->bindParam(':department', $department, PDO::PARAM_STR);
    $insert_stmt->bindParam(':gender', $gender, PDO::PARAM_STR);
    $insert_stmt->bindParam(':zone', $zone, PDO::PARAM_STR);
    $insert_stmt->bindParam(':region', $region, PDO::PARAM_STR);
    $insert_stmt->bindParam(':province', $province, PDO::PARAM_STR);
    $insert_stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
    $insert_stmt->bindParam(':date', $date, PDO::PARAM_STR);
    $insert_stmt->bindParam(':year', $year, PDO::PARAM_INT);
    $insert_stmt->execute();

    // Redirect after success
    header("Location: teachers.php");
    exit();
}

// Close connection
$conn = null;
?>
