<?php
session_start();
include "./conn.php"; // Ensure your connection script is included correctly

// Retrieve session token
$alert = $_SESSION['token'];

// Retrieve and sanitize 'id' from GET request
$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);

// Debug: Check if the id and alert variables are set correctly
var_dump($id);
var_dump($alert);

if ($id && $alert) {
    // Prepare and execute query to fetch p3c from registration table
    $stmt = $conn->prepare("SELECT p3c FROM registration WHERE password = :password");
    $stmt->bindParam(':password', $alert);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);

    // Debug: Check if a row is fetched
    var_dump($row);

    if ($row) {
        $p3c = $row['p3c'];
        $p3c_new = $p3c - 1;

        // Prepare and execute DELETE query for teachers
        $delete_stmt = $conn->prepare("DELETE FROM teachers WHERE id = :id");
        $delete_stmt->bindParam(':id', $id, PDO::PARAM_INT);
        $delete_stmt->execute();

        // Debug: Check if the delete statement executed successfully
        var_dump($delete_stmt->rowCount());

        if ($delete_stmt->rowCount() > 0) {
            // Prepare and execute UPDATE query for registration
            $update_stmt = $conn->prepare("UPDATE registration SET p3c = :p3c_new WHERE password = :password");
            $update_stmt->bindParam(':p3c_new', $p3c_new, PDO::PARAM_INT);
            $update_stmt->bindParam(':password', $alert);
            $update_stmt->execute();

            // Redirect to teachers.php after successful deletion and update
            header("Location: teachers.php");
            exit();
        } else {
            echo "<script>alert('Failed to delete the record from teachers table.');</script>";
            header("Location: teachers.php");
            exit();
        }
    } else {
        echo "<script>alert('No registration found for the given password.');</script>";
        header("Location: teachers.php");
        exit();
    }
} else {
    echo "<script>alert('Invalid request.');</script>";
    header("Location: teachers.php");
    exit();
}

// Close connection
$conn = null;
?>
