<?php
require 'conn.php';

if (isset($_GET['rrr'])) {
    $password = $_GET['rrr'];

    // Fetch registration details
    $query = "SELECT * FROM registration WHERE password = :password";
    $stmt = $conn->prepare($query);
    $stmt->execute(['password' => $password]);
    $reg = $stmt->fetch(PDO::FETCH_ASSOC);

    // Fetch status from bank table
    $statusQuery = "SELECT status FROM bank WHERE rrr = :password";
    $statusStmt = $conn->prepare($statusQuery);
    $statusStmt->execute(['password' => $password]); // Fixed parameter binding
    $bankStatus = $statusStmt->fetchColumn();

    // Determine final status
    if ($bankStatus) {
        $finalStatus = ($bankStatus == 'Approved') ? 
                       '<span class="badge bg-success">Completed and Approved</span>' : 
                       '<span class="badge bg-warning text-dark">Pending</span>';
    } else {
        $finalStatus = '<span class="badge bg-secondary">No Status Found</span>';
    }

    if ($reg) {
        echo '<div class="card shadow-lg border-0 p-3">';
        echo '<h5><i class="fas fa-user"></i> Name: ' . htmlspecialchars($reg['name']) . '</h5>';
        echo '<p><i class="fas fa-key"></i> <strong>RRR Code:</strong> ' . htmlspecialchars($reg['password']) . '</p>';
        echo '<p><i class="fas fa-child"></i> <strong>Children Registered:</strong> ' . htmlspecialchars($reg['p1c']) . '</p>';
        echo '<p><i class="fas fa-users"></i> <strong>Teens Registered:</strong> ' . htmlspecialchars($reg['p2c']) . '</p>';
        echo '<p><i class="fas fa-chalkboard-teacher"></i> <strong>Teachers Registered:</strong> ' . htmlspecialchars($reg['p3c']) . '</p>';
        echo '<p><i class="fas fa-money-bill-wave"></i> <strong>Amount:</strong> ₦' . number_format($reg['amount'], 2) . '</p>';
        echo '<p><i class="fas fa-check-circle"></i> <strong>Status:</strong> ' . $finalStatus . '</p>';
        $dateString = $reg['date']; // Example: "Wednesday, 18th September - 05:54:34 AM"

// Debugging: Check if dateString is set
if (empty($dateString)) {
    echo '<p class="text-danger"><i class="fas fa-calendar-alt"></i> <strong>Date:</strong> No date found</p>';
} else {
    // Split the date using " - " as a separator
    $parts = explode(' - ', $dateString);

    if (count($parts) == 2) {
        $datePart = trim($parts[0]); // Extracts "Wednesday, 18th September"
        $time = trim($parts[1]); // Extracts "05:54:34 AM"

        // Remove the weekday from the date part
        $dateWithoutWeekday = explode(', ', $datePart)[1] ?? '';

        // Ensure valid date format
        if (!empty($dateWithoutWeekday) && !empty($time)) {
            echo '<p><i class="fas fa-calendar-alt"></i> <strong>Date:</strong> ' . htmlspecialchars($dateWithoutWeekday . ' at ' . $time) . '</p>';
        } else {
            echo '<p class="text-danger"><i class="fas fa-calendar-alt"></i> <strong>Date:</strong> Invalid date format</p>';
        }
    } else {
        echo '<p class="text-danger"><i class="fas fa-calendar-alt"></i> <strong>Date:</strong> Invalid date format</p>';
    }
}

        echo '</div>';
    } else {
        echo '<p class="text-danger">No details found for this RRR Code.</p>';
    }
}
?>

