<?php
require 'conn.php';
session_start();

$province = $_SESSION['pro'] ?? ''; // User's province

// Find the latest ticket for this province
$queryMaxId = "SELECT MAX(id) AS max_id FROM tickets WHERE province = :province";
$stmtMaxId = $conn->prepare($queryMaxId);
$stmtMaxId->bindParam(':province', $province, PDO::PARAM_STR);
$stmtMaxId->execute();
$maxTicket = $stmtMaxId->fetch(PDO::FETCH_ASSOC);

$ticketId = $maxTicket['max_id'] ?? 0;
$hasAdminResponded = false;
$message = "";

if ($ticketId > 0) {
    // Get the latest `updated_at`
    $queryCheckUpdate = "SELECT updated_at FROM tickets WHERE id = :ticketId";
    $stmtCheckUpdate = $conn->prepare($queryCheckUpdate);
    $stmtCheckUpdate->bindParam(':ticketId', $ticketId, PDO::PARAM_INT);
    $stmtCheckUpdate->execute();
    $latestUpdate = $stmtCheckUpdate->fetch(PDO::FETCH_ASSOC);

    if ($latestUpdate && !empty($latestUpdate['updated_at'])) {
        $lastSeenUpdate = $_SESSION['last_seen_update'] ?? null;

        // Check if the admin has responded
        if ($lastSeenUpdate !== $latestUpdate['updated_at']) {
            $hasAdminResponded = true;
            $message = "$province, your ticket has been updated by the admin.";
        }
    }
}

// Return JSON response
header('Content-Type: application/json');
echo json_encode([
    "count" => $hasAdminResponded ? 1 : 0,
    "message" => $hasAdminResponded ? $message : ""
]);
exit;
?>
