<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Multiple File Upload</title>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <!-- Dropzone CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.9.3/dropzone.min.css" />
    <!-- Font Awesome for Icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
    <style>
        .dropzone {
            border: 2px dashed #007bff;
            background: #f7f7f7;
            padding: 20px;
            transition: background 0.3s;
        }

        .dropzone:hover {
            background: #e9ecef;
        }

        .dz-message {
            font-size: 1.2rem;
            color: #6c757d;
        }
    </style>
</head>
<body>

<div class="container mt-5">
    <div class="row">
        <div class="col-12">
            <div class="card text-center" style="border: 1px solid #007bff;">
                <h5 class="card-header bg-primary text-white">Upload Multiple Files</h5>
                <div class="card-body">
                <form action="upload.php" class="dropzone needsclick dz-clickable" id="dropzone-multi" enctype="multipart/form-data">
                        <div class="dz-message needsclick">
                            <i class="fas fa-upload fa-3x text-primary mb-3"></i>
                            <h6 class="text-secondary">Drop files here or click to upload</h6>
                            <span class="note">(This is just a demo dropzone. Selected files are 
                                <span class="fw-medium">not</span> actually uploaded.)</span>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Include Dropzone JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.9.3/dropzone.min.js"></script>

<script>
    // Disable auto discover for all elements:
    Dropzone.autoDiscover = false;

    // Create the Dropzone instance
    var myDropzone = new Dropzone("#dropzone-multi", {
        paramName: "file", // The name that will be used to transfer the file
        maxFilesize: 10, // MB
        maxFiles: 10, // Limit the number of files
        acceptedFiles: ".jpeg,.jpg,.png,.gif,.pdf", // Accepted file types
        addRemoveLinks: true,
        dictDefaultMessage: "Drop files here or click to upload",
        dictRemoveFileConfirmation: "Are you sure you want to remove this file?",
        dictMaxFilesExceeded: "You can only upload a maximum of 10 files.",

        // Optional: Handle file upload success
        success: function(file, response) {
            console.log("File uploaded successfully:", response);
        },

        // Optional: Handle file removal
        removedfile: function(file) {
            var _ref;
            if (confirm("Are you sure you want to remove this file?")) {
                file.previewElement.remove(); // Remove the preview element
                // You can add additional AJAX calls here to delete the file from the server if needed
            }
        }
    });
</script>

</body>
</html>
