<?php
session_start();
require 'conn.php';

$province = $_SESSION['pro'] ?? ''; // User's province

// Find the latest ticket for this province
$queryMaxId = "SELECT MAX(id) AS max_id FROM tickets WHERE province = :province";
$stmtMaxId = $conn->prepare($queryMaxId);
$stmtMaxId->bindParam(':province', $province, PDO::PARAM_STR);
$stmtMaxId->execute();
$maxTicket = $stmtMaxId->fetch(PDO::FETCH_ASSOC);

$ticketId = $maxTicket['max_id'] ?? 0;

if ($ticketId > 0) {
    // Get the latest `updated_at`
    $queryCheckUpdate = "SELECT updated_at FROM tickets WHERE id = :ticketId";
    $stmtCheckUpdate = $conn->prepare($queryCheckUpdate);
    $stmtCheckUpdate->bindParam(':ticketId', $ticketId, PDO::PARAM_INT);
    $stmtCheckUpdate->execute();
    $latestUpdate = $stmtCheckUpdate->fetch(PDO::FETCH_ASSOC);

    if ($latestUpdate) {
        $_SESSION['last_seen_update'] = $latestUpdate['updated_at']; // Mark ticket as seen
    }
}

echo json_encode(["success" => true]);
exit;
?>
