<?php
session_start();
require_once("conn.php"); // Ensure database connection is included

// Check if registration details are set in the session
if (!isset($_SESSION['registration_details'])) {
    echo '<script>alert("No registration details found."); window.location.href = "newregistration.php";</script>';
    exit();
}

// Retrieve the registration details from the session
$details = $_SESSION['registration_details'];

// Check if the required POST data is set
if (isset($_POST['payment_type'])) {
    $paymentType = $_POST['payment_type'];
    $amount = $details['amount'];
    $registrationId = $details['reference_code']; // Ensure this is the correct reference code for ID

    // Redirect based on payment type
    if ($paymentType === 'online') {
        header("Location: payment.php?amount=" . urlencode($amount) . "&registration_id=" . urlencode($registrationId));
        exit();
    } elseif ($paymentType === 'offline') {
        header("Location: bank.php?amount=" . urlencode($amount) . "&registration_id=" . urlencode($registrationId));
        exit();
    } else {
        echo '<script>alert("Invalid payment type."); window.location.href = "summary.php";</script>';
        exit();
    }
} else {
    echo '<script>alert("Required payment details are missing."); window.location.href = "summary.php";</script>';
    exit();
}
?>
