<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    include 'conn.php'; // Ensure your connection file is included

    // Retrieve data from POST request
    $depositor = $_POST['depositor'];
    $region = $_POST['region'];
    $province = $_POST['province'];
    $teller_number = $_POST['teller_number'];
    $cash = $_POST['cash'];
    $children = $_POST['children'];
    $teens = $_POST['teens'];
    $teachers = $_POST['teachers'];
    $slip_id = $_POST['slip_id'];
    $status = $_POST['status'];
    $cleared_by = $_POST['cleared_by'];
    $date = $_POST['date'];
    $year = $_POST['year'];
    $zone = $_POST['zone'];

    // Check if the record already exists
    $stmt = $conn->prepare("SELECT COUNT(*) FROM slip WHERE slip_id = ?");
    $stmt->execute([$slip_id]);
    $count = $stmt->fetchColumn();

    if ($count > 0) {
        // Record exists, update it
        $stmt = $conn->prepare("UPDATE slip SET depositor = ?, zone = ?, region = ?, province = ?, teller_number = ?, cash = ?, children = ?, teens = ?, teachers = ?, status = ?, cleared_by = ?, date = ?, year = ? WHERE slip_id = ?");
        if ($stmt->execute([$depositor, $zone, $region, $province, $teller_number, $cash, $children, $teens, $teachers, $status, $cleared_by, $date, $year, $slip_id])) {
            echo "<script>
                    alert('Slip data updated successfully.');
                    window.location.href = 'pendingslip_generator.php';
                  </script>";
        } else {
            echo "<script>
                    alert('Failed to update slip data.');
                    window.location.href = 'pendingslip_generator.php';
                  </script>";
        }
    } else {
        // Record does not exist, insert it
        $stmt = $conn->prepare("INSERT INTO slip (depositor, zone, region, province, teller_number, cash, children, teens, teachers, slip_id, status, cleared_by, date, year) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
        if ($stmt->execute([$depositor, $zone, $region, $province, $teller_number, $cash, $children, $teens, $teachers, $slip_id, $status, $cleared_by, $date, $year])) {
            echo "<script>
                    alert('Slip generated successfully.');
                    window.location.href = 'pendingslip_generator.php';
                  </script>";
        } else {
            echo "<script>
                    alert('Failed to save slip data.');
                    window.location.href = 'pendingslip_generator.php';
                  </script>";
        }
    }
}
?>
